[ubuntu/focal-security] spice 0.14.2-4ubuntu3.1 (Accepted)

Marc Deslauriers marc.deslauriers at canonical.com
Tue Oct 6 13:23:55 UTC 2020


spice (0.14.2-4ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: multiple buffer overflows in QUIC image decoding
    - debian/patches/CVE-2020-14355-1.patch: check we have some data to
      start decoding quic image in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-2.patch: check image size in
      quic_decode_begin in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-3.patch: check RLE lengths in
      subprojects/spice-common/common/quic_tmpl.c.
    - debian/patches/CVE-2020-14355-4.patch: avoid possible buffer overflow
      in find_bucket in subprojects/spice-common/common/quic_family_tmpl.c.
    - CVE-2020-14355

Date: 2020-10-01 12:21:16.655374+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
https://launchpad.net/ubuntu/+source/spice/0.14.2-4ubuntu3.1
-------------- next part --------------
Sorry, changesfile not available.


More information about the Focal-changes mailing list